Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface HDF5

All Known Implementing Classes:
  HDF5Impl

public interface HDF5
extends Create, CreateS, Drop, DropS

HDF5 interface. HDF5 interface

Method Summary
`void` | `addDoubleToVector(double val)`
`void` | `assignIvar(java.lang.Object obj)`
`boolean` | `checkDatasetName(java.lang.String datasetName)`
`boolean` | `checkName(java.lang.String name)`
`void` | `flush()`
`java.lang.String` | `getAttribute(java.lang.String attributeName)`
`java.lang.Object` | `getCompoundType()`
`int` | `getCount()`
`int` | `getDatasetDimension(int dimNumber)`
`boolean` | `getDatasetFlag()`
`int` | `getDatasetRank()`
`java.lang.String` | `getHDF5Name()`
`boolean` | `getWriteFlag()`
`void` | `nameRecord$name(int recordNumber, java.lang.String recordName)`
`void` | `numberRecord(int recordNumber)`
`void` | `selectRecord(int recordNumber)`
`void` | `shallowLoadObject(java.lang.Object obj)`
`void` | `shallowStoreObject(java.lang.Object obj)`
`void` | `storeAttribute$value(java.lang.String attributeName, java.lang.String valueString)`
`void` | `storeComponentTypeName(java.lang.String typeName)`
`void` | `storeTypeName(java.lang.String typeName)`
`void` | `writeLevels()`
`void` | `writeRowNames()`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getDatasetFlag

    public boolean getDatasetFlag()

### getWriteFlag

    public boolean getWriteFlag()

### getDatasetRank

    public int getDatasetRank()

### getDatasetDimension

    public int getDatasetDimension(int dimNumber)

### getCount

    public int getCount()

### getHDF5Name

    public java.lang.String getHDF5Name()

### getCompoundType

    public java.lang.Object getCompoundType()

### assignIvar

    public void assignIvar(java.lang.Object obj)

### checkName

    public boolean checkName(java.lang.String name)

### checkDatasetName

    public boolean checkDatasetName(java.lang.String datasetName)

### addDoubleToVector

    public void addDoubleToVector(double val)

### storeTypeName

    public void storeTypeName(java.lang.String typeName)

### storeComponentTypeName

    public void storeComponentTypeName(java.lang.String typeName)

### shallowLoadObject

    public void shallowLoadObject(java.lang.Object obj)

### shallowStoreObject

    public void shallowStoreObject(java.lang.Object obj)

### nameRecord$name

    public void nameRecord$name(int recordNumber,
                                java.lang.String recordName)

### numberRecord

    public void numberRecord(int recordNumber)

### selectRecord

    public void selectRecord(int recordNumber)

### writeRowNames

    public void writeRowNames()

### writeLevels

    public void writeLevels()

### storeAttribute$value

    public void storeAttribute$value(java.lang.String attributeName,
                                     java.lang.String valueString)

### getAttribute

    public java.lang.String getAttribute(java.lang.String attributeName)

### flush

    public void flush()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD